## org.eclipse.emf.transaction.util
Class Lock.Access

    java.lang.Object
      org.eclipse.emf.transaction.util.Lock.Access

Enclosing class:
  Lock

    public abstract class Lock.Access

extends Object

A class that grants special `Lock` manipulation privileges to its subclasses, that it knows as particular friends.

Note that this class is intended for use within the EMF Transaction API only. It may not be extended by clients.

Since:
  1.0.2

Constructor Summary
`protected` `Lock.Access()` Initializes me.

Method Summary
`void` `transfer(Thread thread)` Transfers the lock's ownership to the specified thread.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Lock.Access

    protected Lock.Access()

  Initializes me.

Method Detail

### transfer

    public void transfer(Thread thread)

  Transfers the lock's ownership to the specified thread.

  Parameters:
    `thread` - the new owner thread

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.